Subject: [rmcat] Fwd: New Version Notification for draft-welzl-rmcat-coupled-cc-02.txt

From: Michael Welzl <[email-masked]>
Date: Thu, 17 Oct 2013 13:42:36 +0200

Hi all,

We have posted an update of the coupled congestion control draft, where we incorporated the comments that we got at the last meeting. It includes an "active" version of the algorithm which is closer in spirit to RFC 2140: if one flow changes its rate, all flows must immediately update theirs, leading to an aggregate behavior that's easier to understand.

We had planned to share a technical report with simulation results too at this stage, but it's just going to take a little longer I'm afraid, sorry for that. What I do promise is that we keep on working on it and will announce it as soon as we have it  (not necessarily just 1 week before the next meeting).

Complementing this work, we are working on shared bottleneck detection too, and we hope that we'll have something to present at the next (London) IETF.

Cheers,
Michael

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-welzl-rmcat-coupled-cc-02.txt
> Date: 17. oktober 2013 13:31:50 GMT+02:00
> To: Safiqul Islam <[email-masked]>, Michael Welzl <[email-masked]>, Stein Gjessing <[email-masked]>
> 
> 
> A new version of I-D, draft-welzl-rmcat-coupled-cc-02.txt
> has been successfully submitted by Michael Welzl and posted to the
> IETF repository.
> 
> Filename:	 draft-welzl-rmcat-coupled-cc
> Revision:	 02
> Title:		 Coupled congestion control for RTP media
> Creation date:	 2013-10-17
> Group:		 Individual Submission
> Number of pages: 17
> URL:             http://www.ietf.org/internet-drafts/draft-welzl-rmcat-coupled-cc-02.txt
> Status:          http://datatracker.ietf.org/doc/draft-welzl-rmcat-coupled-cc
> Htmlized:        http://tools.ietf.org/html/draft-welzl-rmcat-coupled-cc-02
> Diff:            http://www.ietf.org/rfcdiff?url2=draft-welzl-rmcat-coupled-cc-02
> 
> Abstract:
>   When multiple congestion controlled RTP sessions traverse the same
>   network bottleneck, it can be beneficial to combine their controls
>   such that the total on-the-wire behavior is improved.  This document
>   describes such a method for flows that have the same sender, in a way
>   that is as flexible and simple as possible while minimizing the
>   amount of changes needed to existing RTP applications.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>